package crm

import (
	"errors"
	"hongze/fms_api/models/crm"
)

// GetSealDetail 根据id获取合同详情（包含服务）
func GetSealDetail(sealId int) (itemRsp crm.ContractDetail, err error) {
	sealDetail, tmpErr := crm.GetSealInfoById(sealId)
	if tmpErr != nil {
		err = errors.New("查询业务关联合同异常：" + tmpErr.Error())
		return
	}
	itemRsp.ContractCode = sealDetail.Code
	itemRsp.StartDate = sealDetail.StartDate
	itemRsp.EndDate = sealDetail.EndDate
	itemRsp.SellerName = sealDetail.UserName
	itemRsp.ContractBusinessType = "自付合同"
	itemRsp.ContractType = sealDetail.ServiceType
	return
}
